Timing {

	var
		<>duration,
		<>startTime;
	
	*new {
		arg duration;
		^super.newCopyArgs(duration);
	}
	
	
	now {
		^SystemClock.seconds - startTime 
	}

	remaining {
		^ duration - this.now
	}

	start {
		arg offset = 0;
		startTime = SystemClock.seconds - offset;
	}
	
	stop {
		startTime = nil;
	}

	valid_time {
		arg
			time;
		
		if(
			startTime != nil,
			{
				if(
					(time < duration) && (time > this.now),
					{
						^true
					},
					{
						^false
					}
				)
			},
			{
				^false
			}
		)
	}
}