PLOrkBundle {
	var
		<>playerBundle,
		<>conductorBundle;
		
	*new {
		arg
			playerNum,
			numPlayers,
			projection = false,
			thisScreenWidth = 1280,
			projectionScreenWidth = 1280,
			displayHeight = 720;
			
			
		^super.new.init(
			playerNum,
			numPlayers,
			projection,
			thisScreenWidth,
			projectionScreenWidth,
			displayHeight
		);
	
	}
	
	init {
		arg
			playerNum,
			numPlayers,
			projection,
			thisScreenWidth,
			projectionScreenWidth,
			displayHeight;
			
		if(
			playerNum == 0,
			{
				conductorBundle = ConductorBundle(
					numPlayers,
					projection,
					thisScreenWidth,
					projectionScreenWidth,
					displayHeight
				);
			}
		);
		
		playerBundle = PlayerBundle(playerNum);
	}



}