ChordProgression {
	var
		<>chords;

	*new {
		arg
			startTime,
			endTime,
			playerNums,
			numerals;
		^super.new.init(startTime, endTime, playerNums, numerals)
	}

	init {
		arg
			startTime,
			endTime,
			playerNums,
			numerals;
		var
			dur = endTime - startTime;
		
		chords = [];
		
		numerals.do {
			arg
				i,
				index;
			var
				thisStartTime,
				thisEndTime;
			
			thisStartTime = dur * index / numerals.size + startTime;

			if(
				index == (numerals.size - 1),
				{
					thisEndTime = dur * (index + 1) / numerals.size + startTime;
				},
				{
					thisEndTime = nil
				}
			);
			
			chords = chords ++ Chord.from_numeral(
				thisStartTime ! 4,
				thisEndTime ! 4,
				playerNums,
				i
			);

		}
	
	}
		
	as_msg_lists {
		var msgLists = all {: [], i <- (0..7) };
				
		chords.do {
			arg i;
			
			msgLists = msgLists.cat_entries(i.as_msg_lists);
		};
		
		^ msgLists;
	
	}
}